Bug 990801 - [abrt] firefox-22.0-1.fc18: memcmp: Process /usr/lib64/firefox/firefox was killed by signal 7 (SIGBUS)
[abrt] firefox-22.0-1.fc18: memcmp: Process /usr/lib64/firefox/firefox was ki...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:ea0fa55841127682424e1647ea2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 23:32 EDT by Joseph D. Wagner
Modified: 2013-08-30 07:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 07:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (119.51 KB, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details
File: cgroup (129 bytes, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details
File: dso_list (14.47 KB, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details
File: environ (1.86 KB, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details
File: maps (89.08 KB, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details
File: open_fds (5.15 KB, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-07-31 23:32 EDT, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2013-07-31 23:32:02 EDT
Description of problem:
I clicked on the download button.

Version-Release number of selected component:
firefox-22.0-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
core_backtrace: 
crash_function: memcmp
executable:     /usr/lib64/firefox/firefox
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul 30 21:34:03 localhost abrt[3966]: Saved core dump of pid 2618 (/usr/lib64/firefox/firefox) to /var/tmp/abrt/ccpp-2013-07-30-21:33:39-2618 (1043767296 bytes)
xsession_errors: (firefox:1560): GLib-GObject-WARNING **: gsignal.c:3397: signal name `load_complete' is invalid for instance `0x7f167a8e2330'

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 memcmp at ../sysdeps/x86_64/memcmp.S:163
 #1 nsZipArchive::GetItem at /usr/src/debug/xulrunner-22.0/mozilla-release/modules/libjar/nsZipArchive.cpp:370
 #2 nsZipItemPtr_base::nsZipItemPtr_base at /usr/src/debug/xulrunner-22.0/mozilla-release/modules/libjar/nsZipArchive.cpp:1119
 #3 nsZipItemPtr at ../dist/include/nsZipArchive.h:341
 #4 mozilla::scache::(anonymous namespace)::GetBufferFromZipArchive at /usr/src/debug/xulrunner-22.0/mozilla-release/startupcache/StartupCache.cpp:302
 #5 GetBufferFromZipArchive at /usr/src/debug/xulrunner-22.0/mozilla-release/startupcache/StartupCache.cpp:299
 #6 mozilla::scache::StartupCache::GetBuffer at /usr/src/debug/xulrunner-22.0/mozilla-release/startupcache/StartupCache.cpp:332
 #7 nsXULPrototypeCache::BeginCaching at /usr/src/debug/xulrunner-22.0/mozilla-release/content/xul/document/src/nsXULPrototypeCache.cpp:534
 #8 nsXULPrototypeCache::GetPrototype at /usr/src/debug/xulrunner-22.0/mozilla-release/content/xul/document/src/nsXULPrototypeCache.cpp:136
 #9 mozilla::dom::XULDocument::LoadOverlayInternal at /usr/src/debug/xulrunner-22.0/mozilla-release/content/xul/document/src/XULDocument.cpp:2745
Comment 1 Joseph D. Wagner 2013-07-31 23:32:06 EDT
Created attachment 781425 [details]
File: backtrace
Comment 2 Joseph D. Wagner 2013-07-31 23:32:09 EDT
Created attachment 781426 [details]
File: cgroup
Comment 3 Joseph D. Wagner 2013-07-31 23:32:12 EDT
Created attachment 781427 [details]
File: dso_list
Comment 4 Joseph D. Wagner 2013-07-31 23:32:15 EDT
Created attachment 781428 [details]
File: environ
Comment 5 Joseph D. Wagner 2013-07-31 23:32:18 EDT
Created attachment 781429 [details]
File: limits
Comment 6 Joseph D. Wagner 2013-07-31 23:32:21 EDT
Created attachment 781430 [details]
File: maps
Comment 7 Joseph D. Wagner 2013-07-31 23:32:25 EDT
Created attachment 781431 [details]
File: open_fds
Comment 8 Joseph D. Wagner 2013-07-31 23:32:28 EDT
Created attachment 781432 [details]
File: proc_pid_status
Comment 9 Martin Stransky 2013-08-30 07:24:00 EDT
This is an automated bug report processing. If you're able to reproduce the crash, please reopen it and remove the [abrt] string from the topics. And attach the reproduction steps.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.